include:
  - local: ".gitlab/templates.yml"
  - local: ".gitlab/tests.yml"
  - local: ".gitlab/quality.yml"
  - local: ".gitlab/build.yml"
  - local: ".gitlab/publish.yml"
  - local: ".gitlab/version.yml"
  - local: ".gitlab/prepare-release.yml"
  - local: ".gitlab/artifacts-download.yml"

workflow:
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event" || $CI_COMMIT_BRANCH == "main" || $CI_COMMIT_TAG'
      when: always
    - when: never

#########################
#   STAGES
#########################
stages:
  - version-failfast
  - tests
  - quality
  - build
  - artifacts-download
  - publish
  - prepare-release

#########################
#   GENERAL VARS
#########################
variables:
  PACKAGE_VERSION: "0.0.2"
  PYTHON_VERSION: "3.9"
  PIP_CACHE_DIR: "${CI_PROJECT_DIR}/.cache/pip"
  DOCKER_TARBALL: "${CI_PROJECT_DIR}/local-img-build.tar"
